Subject: Re: bug#58281: 27.1; windows mangles encoding on command line

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 Nov 2022 09:20:26 +0200

Ping!  Did you have a chance to test the changes I installed?

> Cc: [email-masked]
> Date: Sat, 15 Oct 2022 14:02:16 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > Cc: [email-masked]
> > Date: Wed, 12 Oct 2022 19:54:27 +0300
> > From: Eli Zaretskii <[email-masked]>
> > 
> > > From: Daniel Bastos <[email-masked]>
> > > Date: Wed, 12 Oct 2022 08:49:32 -0300
> > > Cc: [email-masked]
> > 
> > In addition to what I just wrote, please try this: As soon as you
> > start Emacs, type:
> > 
> >   M-: (setq default-process-coding-system '(undecided-dos . cp850-dos)) RET
> > 
> > Then enter Eshell and try the fossil command you tried before.  See if
> > this solves the problem.
> > 
> > I think I found a bug in Eshell that the above workaround should
> > side-step.
> 
> I've now installed a change for Emacs 29 that I think should fix your
> problems.  So if you can try the current master branch of the Emacs
> Git repository, please do, and see if your problem with Fossil are
> solved there.
> 
> Thanks.
> 
> 
> 
>